Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMSecurityException

public class CIMSecurityException
extends CIMException

Exception class representing security exceptions that occur in the CIM object manager during authentication/authorization and in providers during authorization.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CANNOT_ASSUME_ROLE` The specified principal cannot assume the specified role.
`static java.lang.String` | `CHECKSUM_ERROR` Checksum error.
`static java.lang.String` | `CIM_ERR_ACCESS_DENIED` The user has insufficient rights to perform the operation.
`static java.lang.String` | `INVALID_CREDENTIAL` The provided credential(e.g.
`static java.lang.String` | `NO_SUCH_PRINCIPAL` The specified principal(e.g.
`static java.lang.String` | `NO_SUCH_SESSION` The session with the given id does not exist.
`static java.lang.String` | `NOT_HELLO` When the first hello message is not in the correct format.
`static java.lang.String` | `NOT_RESPONSE` The first response message is not in the correct format.
`static java.lang.String` | `SIGNATURE_ERROR` Deprecated.

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMSecurityException()` Creates a CIMSecurityException with no detail message.
`CIMSecurityException(java.lang.String s)` Creates a CIMSecurityException with the specified detail message.
`CIMSecurityException(java.lang.String s, java.lang.Object param)` Creates a CIMSecurityException with the specified detail message and one exception parameter.
`CIMSecurityException(java.lang.String s, java.lang.Object[] param)` Constructs a CIMSecurityException with the specified detail message and an array of exception parameters.
`CIMSecurityException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Constructs a CIMSecurityException with the specified detail message and two exception parameters.
`CIMSecurityException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Constructs a CIMSecurityException with the specified detail message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_HELLO

    public static final java.lang.String NOT_HELLO

  When the first hello message is not in the correct format. This should not happen when using the client APIs, except when the data is corrupted.

### NOT_RESPONSE

    public static final java.lang.String NOT_RESPONSE

  The first response message is not in the correct format. This should not happen when using the client APIs, except when the data is corrupted.

### NO_SUCH_SESSION

    public static final java.lang.String NO_SUCH_SESSION

  The session with the given id does not exist. The parameter is a string formed from the session id byte array.

### CIM_ERR_ACCESS_DENIED

    public static final java.lang.String CIM_ERR_ACCESS_DENIED

  The user has insufficient rights to perform the operation.

### CHECKSUM_ERROR

    public static final java.lang.String CHECKSUM_ERROR

  Checksum error. This would happen if the message is corrupted either accidentally or maliciously.

### SIGNATURE_ERROR

    public static final java.lang.String SIGNATURE_ERROR

  Deprecated.

  Signature error. This would happen if the message is corrupted either accidentally or maliciously. It differs from the checksum error in that the message has a valid checksum, but the signature cannot be verified by the clients public key. This way the CIMOM knows that even though the session key has been compromised, only the initial client which created the session is authenticated.

### NO_SUCH_PRINCIPAL

    public static final java.lang.String NO_SUCH_PRINCIPAL

  The specified principal(e.g. user account) cannot be found. This error message uses one parameter, the principal name.

### INVALID_CREDENTIAL

    public static final java.lang.String INVALID_CREDENTIAL

  The provided credential(e.g. user passwd) is invalid.

### CANNOT_ASSUME_ROLE

    public static final java.lang.String CANNOT_ASSUME_ROLE

  The specified principal cannot assume the specified role. This error message uses two parameters: the user name and role name.

Constructor Detail

### CIMSecurityException

    public CIMSecurityException()

  Creates a CIMSecurityException with no detail message.

### CIMSecurityException

    public CIMSecurityException(java.lang.String s)

  Creates a CIMSecurityException with the specified detail message.
  Parameters:
    `s` - the detail message.

### CIMSecurityException

    public CIMSecurityException(java.lang.String s,
                                java.lang.Object param)

  Creates a CIMSecurityException with the specified detail message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMSecurityException

    public CIMSecurityException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2)

  Constructs a CIMSecurityException with the specified detail message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMSecurityException

    public CIMSecurityException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3)

  Constructs a CIMSecurityException with the specified detail message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMSecurityException

    public CIMSecurityException(java.lang.String s,
                                java.lang.Object[] param)

  Constructs a CIMSecurityException with the specified detail message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD